MST_INIT(3)

NAME
mst_init - Initializing and freeing MSTrace and MSTraceGroup structures

SYNOPSIS
#include <libmseed.h>

MSTrace      *mst_init ( MSTrace *mst );

void        mst_free ( MSTrace **ppmst );

MSTraceGroup *mst_initgroup ( MSTraceGroup *mstg );

void        mst_freegroup ( MSTraceGroup **ppmstg );

DESCRIPTION
mst_init will initialize a MSTrace structure. If the mst parameter is NULL a new structure will be allocated. If the mst parameter is not NULL the structure will be cleared and any memory allocated for the MSTrace.datasamples and MSTrace.prvtptr members will be freed.

mst_free will free all memory associated with a MSTrace structure and set the structure pointer (*ppmst) to 0. This includes any memory pointed to by the prvtptr member of the MSTrace structure.

mst_initgroup will initialize a MSTraceGroup structure. If the mstg parameter is NULL a new structure will be allocated. If the mstg parameter is not NULL the structure will be cleared and any all associated MSTrace structures will be freed.

mst_freegroup will free all memory associated with a MSTraceGroup structure and set the structure pointer (*ppmstg) to 0.

RETURN VALUES
mst_init returns a pointer to the MSTrace structure initialized on success or NULL on error.

mst_initgroup returns a pointer to the MSTraceGroup structure initialized on success or NULL on error.

SEE ALSO
ms_intro(3).

AUTHOR
Chad Trabant
IRIS Data Management Center